function [maticeP] = pravdepodobnost (data, do) 
%% Výpočet pravděpodobnost přechodu do dalšího stavu
%
%vstup data
%označení centroidů
%
%vstup do
%počet centroidů
%
%výstup maticeP
%matice přechodů
%


 bunka = 1;

 for k = 1:do
    
    
    if k==1
        maticeP(1,1) = 1;
        maticeP(5,bunka) = data(k,1);
        citac = 1;
    elseif k == do
           
        maticeP(1,bunka)=maticeP(1,bunka) + 1;
 
           maticeP(1,bunka) = maticeP(1,bunka) / (maticeP(1,bunka)+1);
           maticeP(2,bunka) = 1-maticeP(1,bunka);           
           
    else
        if data(k,1) == data(k-1,1)
           
           maticeP(1,bunka)=maticeP(1,bunka) + 1;

        else
            
           maticeP(1,bunka) = maticeP(1,bunka) / (maticeP(1,bunka)+1);
           maticeP(2,bunka) = 1-maticeP(1,bunka);
           
           bunka=bunka+1;
           maticeP(1,bunka) =1;
           maticeP(5,bunka) = data(k,1);

        end
        citac = citac +1;
        
    end
    
 end
 
end